import es

required = [
	"modules",
	"commands",
	"vote"
]

modules = [
	"cap",
	"match",
	"player",
	"referee",
	"shout",
	"training"
]

def load():
	for row in required:
		cmd = "soccer_mod_2010/cfg/%s" % (row)
		es.load(cmd)

	for row in modules:
		value = "sm_module_%s_on" % (row)
		check = es.ServerVar(value)
		if check == 1:
			cmd = "soccer_mod_2010/cfg/%s" % (row)
			es.load(cmd)

def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/downloads.cfg")

def unload():
	for row in required:
		cmd = "soccer_mod_2010/cfg/%s" % (row)
		es.unload(cmd)

	for row in modules:
		value = "sm_module_%s_on" % (row)
		check = es.ServerVar(value)
		if check == 1:
			cmd = "soccer_mod_2010/cfg/%s" % (row)
			es.unload(cmd)