import cmdlib
import es

def load():
	load_match_server_cmd()
	es.server.cmd("exec soccer_mod/match.cfg")

def load_match_server_cmd():
	cmdlib.registerServerCommand("soccer_mod_match_swap_home_away", match_swap_home_away, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_maximum_subs", match_max_subs, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_downloads", match_downloads, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_sound_round_start", match_sound_round_start, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_sound_round_end", match_sound_round_end, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_sound_period_end", match_sound_period_end, "Match setting")
	cmdlib.registerServerCommand("soccer_mod_match_sound_match_end", match_sound_match_end, "Match setting")

def match_swap_home_away(args):
	try:
		check = int(args[0])
		if check == 1:
			es.set("sm_match_swap_home_away_on", 1)
		else:
			es.set("sm_match_swap_home_away_on", 0)
	except ValueError:
		es.set("sm_match_swap_home_away_on", 0)

def match_max_subs(args):
	try:
		check = int(args[0])
		es.set("sm_match_max_subs", check)
	except ValueError:
		es.set("sm_match_max_subs", 3)

def match_downloads(args):
	try:
		check = int(args[0])
		if check == 1:
			es.set("sm_match_downloads_on", 1)
		else:
			es.set("sm_match_downloads_on", 0)
	except ValueError:
		es.set("sm_match_downloads_on", 0)

def match_sound_round_start(args):
	es.set("sm_match_sound_round_start", args[0])

def match_sound_round_end(args):
	es.set("sm_match_sound_round_end", args[0])

def match_sound_period_end(args):
	es.set("sm_match_sound_period_end", args[0])

def match_sound_match_end(args):
	es.set("sm_match_sound_match_end", args[0])

def unload_match_server_cmd():
	cmdlib.unregisterServerCommand("soccer_mod_match_swap_home_away")
	cmdlib.unregisterServerCommand("soccer_mod_match_maximum_subs")
	cmdlib.unregisterServerCommand("soccer_mod_match_downloads")
	cmdlib.unregisterServerCommand("soccer_mod_match_sound_round_start")
	cmdlib.unregisterServerCommand("soccer_mod_match_sound_round_end")
	cmdlib.unregisterServerCommand("soccer_mod_match_sound_period_end")
	cmdlib.unregisterServerCommand("soccer_mod_match_sound_match_end")

def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/match.cfg")

def unload():
	unload_match_server_cmd()