import cmdlib
import es

def load():
	load_vote_server_cmd()
	es.server.cmd("exec soccer_mod/vote.cfg")

def load_vote_server_cmd():
	cmdlib.registerServerCommand("soccer_mod_vote_length", vote_length, "Vote setting")
	cmdlib.registerServerCommand("soccer_mod_vote_percentage", vote_percentage, "Vote setting")
	cmdlib.registerServerCommand("soccer_mod_vote_sounds", vote_sounds, "Vote setting")
	cmdlib.registerServerCommand("soccer_mod_vote_sound_start", vote_sound_start, "Vote setting")

def vote_length(args):
	try:
		check = int(args[0])
		es.set("sm_vote_length", check)
	except ValueError:
		es.set("sm_vote_length", 30)

def vote_percentage(args):
	try:
		check = int(args[0])
		es.set("sm_vote_percentage", check)
	except ValueError:
		es.set("sm_vote_percentage", 100)

def vote_sounds(args):
	try:
		check = int(args[0])
		if check == 1:
			es.set("sm_vote_sounds_on", 1)
		else:
			es.set("sm_vote_sounds_on", 0)
	except ValueError:
		es.set("sm_vote_sounds_on", 0)

def vote_sound_start(args):
	es.set("sm_vote_sound_start", args[0])

def es_map_start(event_var):
	es.server.cmd("exec soccer_mod/vote.cfg")

def unload_vote_server_cmd():
	cmdlib.unregisterServerCommand("soccer_mod_vote_length")
	cmdlib.unregisterServerCommand("soccer_mod_vote_percentage")
	cmdlib.unregisterServerCommand("soccer_mod_vote_sounds")
	cmdlib.unregisterServerCommand("soccer_mod_vote_sound_start")

def unload():
	unload_vote_server_cmd()