import es

modules = [
	"match",
	"player",
	"shout",
	"sprint"
]

def load():
	load_client_commands()

	for row in modules:
		value = "sm_module_%s_on" % (row)
		check = es.ServerVar(value)
		if check == 1:
			cmd = "soccer_mod_2010/cmd/%s" % (row)
			es.load(cmd)

def load_client_commands():
	cmd = es.ServerVar("sm_cmd_admin")
	es.regsaycmd(cmd, "soccer_mod_2010/admin/cmd_admin")
	es.regclientcmd(cmd, "soccer_mod_2010/admin/cmd_admin")

	cmd = es.ServerVar("sm_cmd_info")
	es.regsaycmd(cmd, "soccer_mod_2010/info/cmd_info")
	es.regclientcmd(cmd, "soccer_mod_2010/info/cmd_info")

	cmd = es.ServerVar("sm_cmd_vote")
	es.regsaycmd(cmd, "soccer_mod_2010/vote/cmd_vote")
	es.regclientcmd(cmd, "soccer_mod_2010/vote/cmd_vote")

def unload_client_commands():
	cmd = es.ServerVar("sm_cmd_admin")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

	cmd = es.ServerVar("sm_cmd_info")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

	cmd = es.ServerVar("sm_cmd_vote")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

def unload():
	unload_client_commands()

	for row in modules:
		value = "sm_module_%s_on" % (row)
		check = es.ServerVar(value)
		if check == 1:
			cmd = "soccer_mod_2010/cmd/%s" % (row)
			es.unload(cmd)