import es

def load():
	load_client_commands()

def load_client_commands():
	cmd = es.ServerVar("sm_cmd_match_stats")
	es.regsaycmd(cmd, "soccer_mod_2010/match/stats/cmd_stats")
	es.regclientcmd(cmd, "soccer_mod_2010/match/stats/cmd_stats")

	cmd = es.ServerVar("sm_cmd_match_stats_rank")
	es.regsaycmd(cmd, "soccer_mod_2010/match/stats/cmd_stats_rank")
	es.regclientcmd(cmd, "soccer_mod_2010/match/stats/cmd_stats_rank")

	cmd = es.ServerVar("sm_cmd_match_start")
	es.regsaycmd(cmd, "soccer_mod_2010/match/cmd_match_start")
	es.regclientcmd(cmd, "soccer_mod_2010/match/cmd_match_start")

	cmd = es.ServerVar("sm_cmd_match_pause")
	es.regsaycmd(cmd, "soccer_mod_2010/match/cmd_match_pause")
	es.regclientcmd(cmd, "soccer_mod_2010/match/cmd_match_pause")

	cmd = es.ServerVar("sm_cmd_match_unpause")
	es.regsaycmd(cmd, "soccer_mod_2010/match/cmd_match_unpause")
	es.regclientcmd(cmd, "soccer_mod_2010/match/cmd_match_unpause")

	cmd = es.ServerVar("sm_cmd_match_stop")
	es.regsaycmd(cmd, "soccer_mod_2010/match/cmd_match_stop")
	es.regclientcmd(cmd, "soccer_mod_2010/match/cmd_match_stop")

	cmd = es.ServerVar("sm_cmd_match_sub")
	es.regsaycmd(cmd, "soccer_mod_2010/admin/cmd_admin")
	es.regclientcmd(cmd, "soccer_mod_2010/admin/cmd_admin")

def unload_client_commands():
	cmd = es.ServerVar("sm_cmd_match_stats")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

	cmd = es.ServerVar("sm_cmd_match_stats_rank")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

	cmd = es.ServerVar("sm_cmd_match_start")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

	cmd = es.ServerVar("sm_cmd_match_pause")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

	cmd = es.ServerVar("sm_cmd_match_unpause")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

	cmd = es.ServerVar("sm_cmd_match_stop")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

	cmd = es.ServerVar("sm_cmd_match_sub")
	es.unregsaycmd(cmd)
	es.unregclientcmd(cmd)

def unload():
	unload_client_commands()