import es
import popuplib

def load():
	create_popup()

	es.load("soccer_mod_2010/info/commands")
	es.load("soccer_mod_2010/info/help")
	es.load("soccer_mod_2010/info/leagues")
	es.load("soccer_mod_2010/info/mod")
	es.load("soccer_mod_2010/info/server")

def create_popup():
	popup = popuplib.create("sm_popup_info")
	popup.addline("SOCCER MOD INFO")
	popup.addline(" ")
	popup.addline("->1. Commands")
	popup.addline("->2. Server")
	popup.addline("->3. Leagues")
	popup.addline("->4. Soccer Mod")
	popup.addline("->5. Help")
	popup.addline(" ")
	popup.addline("0. Close")
	popup.submenu(1, "sm_popup_info_commands")
	popup.submenu(2, "sm_popup_info_server")
	popup.submenu(3, "sm_popup_info_leagues")
	popup.submenu(4, "sm_popup_info_mod")
	popup.submenu(5, "sm_popup_info_help")
	popup.submenu(6, "sm_popup_info")
	popup.submenu(7, "sm_popup_info")
	popup.submenu(8, "sm_popup_info")
	popup.submenu(9, "sm_popup_info")

def cmd_info():
	userid = es.getcmduserid()

	enabled = es.ServerVar("soccer_mod_allowed")
	if enabled == 1:
		popuplib.send("sm_popup_info", userid)
	else:
		es.tell(userid, "#green", "Soccer Mod is not allowed on this map.")

def delete_popup(name):
	if popuplib.exists(name):
		popuplib.delete(name)

def unload():
	delete_popup("sm_popup_info")

	es.unload("soccer_mod_2010/info/commands")
	es.unload("soccer_mod_2010/info/help")
	es.unload("soccer_mod_2010/info/leagues")
	es.unload("soccer_mod_2010/info/mod")
	es.unload("soccer_mod_2010/info/server")