import es
import langlib
import popuplib

popup = popuplib.create("sm_popup_admin_settings_referee")
text = langlib.Strings("cstrike/addons/eventscripts/soccer_mod_2010/language/settings/popup_admin_settings_referee.ini")

def load():
	load_settings()
	create_popup()

def load_settings():
	value = es.keygetvalue("soccer_mod_settings", "referee", "warning_1")
	es.set("sm_referee_warning_1", value)

	value = es.keygetvalue("soccer_mod_settings", "referee", "warning_2")
	es.set("sm_referee_warning_2", value)

	value = es.keygetvalue("soccer_mod_settings", "referee", "warning_3")
	es.set("sm_referee_warning_3", value)

	value = es.keygetvalue("soccer_mod_settings", "referee", "warning_4")
	es.set("sm_referee_warning_4", value)

	value = es.keygetvalue("soccer_mod_settings", "referee", "warning_5")
	es.set("sm_referee_warning_5", value)

	value = es.keygetvalue("soccer_mod_settings", "referee", "warning_6")
	es.set("sm_referee_warning_6", value)

	value = es.keygetvalue("soccer_mod_settings", "referee", "warning_7")
	es.set("sm_referee_warning_7", value)

def create_popup():
	line = "SOCCER MOD %s" % (text("title"))
	popup.addline(line)

	popup.addline(" ")

	value = es.ServerVar("sm_referee_warning_1")
	line = "->1. %s #1: %s" % (text("warning"), value)
	popup.addline(line)

	value = es.ServerVar("sm_referee_warning_2")
	line = "->2. %s #2: %s" % (text("warning"), value)
	popup.addline(line)

	value = es.ServerVar("sm_referee_warning_3")
	line = "->3. %s #3: %s" % (text("warning"), value)
	popup.addline(line)

	value = es.ServerVar("sm_referee_warning_4")
	line = "->4. %s #4: %s" % (text("warning"), value)
	popup.addline(line)

	value = es.ServerVar("sm_referee_warning_5")
	line = "->5. %s #5: %s" % (text("warning"), value)
	popup.addline(line)

	value = es.ServerVar("sm_referee_warning_6")
	line = "->6. %s #6: %s" % (text("warning"), value)
	popup.addline(line)

	value = es.ServerVar("sm_referee_warning_7")
	line = "->7. %s #7: %s" % (text("warning"), value)
	popup.addline(line)

	popup.addline(" ")

	line = "->9. %s" % (text("back"))
	popup.addline(line)

	popup.addline(" ")

	line = "->0. %s" % (text("close"))
	popup.addline(line)

	popup.select(1, warning)
	popup.select(2, warning)
	popup.select(3, warning)
	popup.select(4, warning)
	popup.select(5, warning)
	popup.select(6, warning)
	popup.select(7, warning)
	popup.submenu(8, "sm_popup_admin_settings_referee")
	popup.submenu(9, "sm_popup_admin_settings")

def warning(userid, choice, popupid):
	steamid = es.getplayersteamid(userid)
	exists = es.exists("key", "sm_keygroup_set", steamid)
	if exists == 0:
		es.keycreate("sm_keygroup_set", steamid)

	value = "settings_referee_warning_%s" % (choice)
	es.keysetvalue("sm_keygroup_set", steamid, "setting_type", value)

	es.tell(userid, "#green", "Type the referee warning in the chat or type !cancel to cancel.")

def player_say(event_var):
	steamid = es.getplayersteamid(event_var["userid"])

	exists = es.exists("key", "sm_keygroup_set", steamid)
	if exists == 1:
		type = es.keygetvalue("sm_keygroup_set", steamid, "setting_type")
		if type == "settings_referee_warning_1":
			if event_var["text"] != "!cancel":
				es.set("sm_referee_warning_1", event_var["text"])

				line = "->1. %s #1: %s" % (text("warning"), event_var["text"])
				popup.modline(3, line)

				line = "->1. Warn player for %s" % (event_var["text"])
				popuplib.find("sm_popup_admin_referee_warn").modline(3, line)

				name = es.getplayername(event_var["userid"])
				message = "%s has set referee warning #1 to %s." % (name, event_var["text"])
				es.msg("#green", message)

				es.keysetvalue("soccer_mod_settings", "referee", "warning_1", event_var["text"])
				es.keygroupsave("soccer_mod_settings", "soccer_mod")

				clear_key(event_var["userid"], steamid)
			else:
				clear_key(event_var["userid"], steamid)
		elif type == "settings_referee_warning_2":
			if event_var["text"] != "!cancel":
				es.set("sm_referee_warning_2", event_var["text"])

				line = "->2. %s #2: %s" % (text("warning"), event_var["text"])
				popup.modline(4, line)

				line = "->2. Warn player for %s" % (event_var["text"])
				popuplib.find("sm_popup_admin_referee_warn").modline(4, line)

				name = es.getplayername(event_var["userid"])
				message = "%s has set referee warning #2 to %s." % (name, event_var["text"])
				es.msg("#green", message)

				es.keysetvalue("soccer_mod_settings", "referee", "warning_2", event_var["text"])
				es.keygroupsave("soccer_mod_settings", "soccer_mod")

				clear_key(event_var["userid"], steamid)
			else:
				clear_key(event_var["userid"], steamid)
		elif type == "settings_referee_warning_3":
			if event_var["text"] != "!cancel":
				es.set("sm_referee_warning_3", event_var["text"])

				line = "->3. %s #3: %s" % (text("warning"), event_var["text"])
				popup.modline(5, line)

				line = "->3. Warn player for %s" % (event_var["text"])
				popuplib.find("sm_popup_admin_referee_warn").modline(5, line)

				name = es.getplayername(event_var["userid"])
				message = "%s has set referee warning #3 to %s." % (name, event_var["text"])
				es.msg("#green", message)

				es.keysetvalue("soccer_mod_settings", "referee", "warning_3", event_var["text"])
				es.keygroupsave("soccer_mod_settings", "soccer_mod")

				clear_key(event_var["userid"], steamid)
			else:
				clear_key(event_var["userid"], steamid)
		elif type == "settings_referee_warning_4":
			if event_var["text"] != "!cancel":
				es.set("sm_referee_warning_4", event_var["text"])

				line = "->4. %s #4: %s" % (text("warning"), event_var["text"])
				popup.modline(6, line)

				line = "->4. Warn player for %s" % (event_var["text"])
				popuplib.find("sm_popup_admin_referee_warn").modline(6, line)

				name = es.getplayername(event_var["userid"])
				message = "%s has set referee warning #4 to %s." % (name, event_var["text"])
				es.msg("#green", message)

				es.keysetvalue("soccer_mod_settings", "referee", "warning_4", event_var["text"])
				es.keygroupsave("soccer_mod_settings", "soccer_mod")

				clear_key(event_var["userid"], steamid)
			else:
				clear_key(event_var["userid"], steamid)
		elif type == "settings_referee_warning_5":
			if event_var["text"] != "!cancel":
				es.set("sm_referee_warning_5", event_var["text"])

				line = "->5. %s #5: %s" % (text("warning"), event_var["text"])
				popup.modline(7, line)

				line = "->5. Warn player for %s" % (event_var["text"])
				popuplib.find("sm_popup_admin_referee_warn").modline(7, line)

				name = es.getplayername(event_var["userid"])
				message = "%s has set referee warning #5 to %s." % (name, event_var["text"])
				es.msg("#green", message)

				es.keysetvalue("soccer_mod_settings", "referee", "warning_5", event_var["text"])
				es.keygroupsave("soccer_mod_settings", "soccer_mod")

				clear_key(event_var["userid"], steamid)
			else:
				clear_key(event_var["userid"], steamid)
		elif type == "settings_referee_warning_6":
			if event_var["text"] != "!cancel":
				es.set("sm_referee_warning_6", event_var["text"])

				line = "->6. %s #6: %s" % (text("warning"), event_var["text"])
				popup.modline(8, line)

				line = "->6. Warn player for %s" % (event_var["text"])
				popuplib.find("sm_popup_admin_referee_warn").modline(8, line)

				name = es.getplayername(event_var["userid"])
				message = "%s has set referee warning #6 to %s." % (name, event_var["text"])
				es.msg("#green", message)

				es.keysetvalue("soccer_mod_settings", "referee", "warning_6", event_var["text"])
				es.keygroupsave("soccer_mod_settings", "soccer_mod")

				clear_key(event_var["userid"], steamid)
			else:
				clear_key(event_var["userid"], steamid)
		elif type == "settings_referee_warning_7":
			if event_var["text"] != "!cancel":
				es.set("sm_referee_warning_7", event_var["text"])

				line = "->7. %s #7: %s" % (text("warning"), event_var["text"])
				popup.modline(9, line)

				line = "->7. Warn player for %s" % (event_var["text"])
				popuplib.find("sm_popup_admin_referee_warn").modline(9, line)

				name = es.getplayername(event_var["userid"])
				message = "%s has set referee warning #7 to %s." % (name, event_var["text"])
				es.msg("#green", message)

				es.keysetvalue("soccer_mod_settings", "referee", "warning_7", event_var["text"])
				es.keygroupsave("soccer_mod_settings", "soccer_mod")

				clear_key(event_var["userid"], steamid)
			else:
				clear_key(event_var["userid"], steamid)

def clear_key(userid, steamid):
	es.keydelete("sm_keygroup_set", steamid)
	popuplib.send("sm_popup_admin_settings_referee", userid)

def delete_popup():
	if popuplib.exists("sm_popup_admin_settings_referee"):
		popuplib.delete("sm_popup_admin_settings_referee")

def unload():
	delete_popup()